# Paigaldamine

Linus Torvalds, after finding one of his file systems smashed by a new Beta kernel

Mälutõmmiste (core dump) fsck-d ajavad mu närvi

Ära muretse! Kuigi beetastaadiumis tarkvara kasutamine võib tõesti põhjustada peavalu ja muret, on äärmiselt vähetõenäoline, et KDE paigaldamine rikuks sinu kõvaketta. Tegelikult ongi kogu see peatükk pühendatud sellele, et anda sulle juhiseid korralikuks paigaldamiseks, et sa võiksid oma uuele töölauale nii kiiresti (ja võimalikult vähese muretundega) otsa vaadata, kui võimalik. Nagu uue aknahalduri paigaldamise puhul ikka, soovitame ka meie enne paigalduse alustamist teha kõigist X11 spetsiifilistest seadistustest varukoopia. Kui sa ei tea täpselt, kus need asuvad, vaata läbi kõik peidetud (`.*`) failid oma kodukataloogis ja kataloogis `/usr/X11/lib/X11/xdm`.

## Nõuded

Enne KDE paigaldamist kontrolli, et süsteem vastaks järgmistele nõuetele:

- Töötav POSIXiga ühilduv UNIX-süsteem. UNIXid, mille peal KDE teadaolevalt töötab, on järgmised: Linux, FreeBSD, Solaris, HP-UX ja MkLinux. Kuid me töötame selle nimel, et KDE oleks peagi kättesaadav ka rohkematel platvormidel.

- Veidi vaba ruumi partitsioonil, kuhu paigaldatakse `/opt/kde`. Me soovitame reserveerida umbes 50 MB, kui süsteem toetab jagatud teeke, ning märksa enam, kui ei toeta. Kui sa pead või soovid paigaldada KDE lähtetekstifailidest, siis tuleb reserveerida umbes 100 MB ka `/usr/src` jaoks.

- Töötav X11 süsteem kas rakendusega xdm või ka ilma selleta. Kui sul ei ole veel X Window Systemi paigaldatud, kontrolli, kas sinu UNIXi paigaldusandmekandjatel on paigaldatav versioon. Kui sul ei õnnestu töötavat versiooni leida, hangi infot selle kohta, kuidas saada ja paigaldada X Window System, kas XFree86 veebileheküljelt või oma UNIXi pakkujalt.

- Qt teegid, versioon 3.0.2. Neid saab tgz-vormingus Trolltechi FTP-serverilt.

Hoiatus enne alustamist: enne praeguse KDE versiooni uuendamist soovitame teha järgmist:

    cd /opt/kde
    tar cfvz ~/KDE-vana-versioon-backup.tar.gz *

## Linux: RPMide paigaldamine RedHati, Caldera ja SuSE puhul.

RPMide kasutamine on lihtsaim meetod KDE kiiresti ja hõlpsalt paigaldada ning tööle saada. Külasta vaid meelepärast KDE peegelsaiti ning vaata kataloogi `/pub/kde/stable/distribution/rpm`. Seal näed katalooge erinevatele operatsioonisüsteemidele. Praegu on toetatud i386, alpha ja sparc arhitektuur. RPM-pakette leiab ka Red Hati saitidelt, näiteks sunsite.unc.edu või ftp.redhat.com

Põhisüsteem koosneb failides `kde-component.architecture.rpm`. Vaja läheb minimaalselt pakette kdesupport, kdelibs ja kdebase. Baasdistributsiooni hankimise järel võid vabalt alla laadida ka teisi RPMe, mida pead endale vajalikuks.

Nüüd alusta baaspaketi paigaldamist. Kui paigaldada KDEd esimest korda, kasuta käske

    rpm -i kdesupport.arhit.rpm
    rpm -i kdelibs.arhit.rpm
    rpm -i kdebase.arhit.rpm

Oluline on mainitud komponendid paigaldada just selles järjekorras ja enne muude KDE komponentide paigaldamist.

Kui uuendad varasemat väljalaset, siis kasuta käske

    rpm -Uvh kde-komponent.arhit.rpm

Taas tuleb jälgida ülaltoodud järjekorda ning ka need komponendid tuleb paigaldada enne muude KDE komponentide paigaldamist.

See pakib baasdistributsiooni lahti ja paigaldab selle vaikimisi kataloogi `/opt/kde`.

Kui baaspakettide paigaldus oli edukas, võid asuda samal moel paigaldama ülejäänud pakette (kasutades taas võtme `-i` asemel võtit `-Uvh`, kui tegemist on uuendusega).

## Linux: DEBide paigaldamine debiani puhul

Debiani süsteemi paigaldus on samuti üsna hõlpus ja lihtne. Tuleb vaid leida KDE 2.0 paketid Debian 2.2 (Potato) ja 3.0 (Woody) jaoks. Me kirjeldame siin, kuidas paigaldada pakette Debian 2.2 puhul, mis on stabiilne versioon, kuna Debian 3.0 on veel arendusjärgus. Kuid mõlema versiooni puhul on paigaldus peaaegu ühesugune. Peamine erinevus on see, et KDE on ametlikult arvatud Debian 3.0 koosseisu ning puudub vajadus määrata mingit spetsiaalset asukohta KDE deb-pakettide leidmiseks.

Esimene samm on teatada süsteemile, kust ta leiab KDE deb-paketid. Debiani pakettide asukohtade nimekiri leidub kõvakettal failis `/etc/apt/sources.list`. Sinna võiks lisada rea: `http://kde.tdyc.com/ stable kde2`

Seejärel tuleb uuendada kohalikku pakettide andmebaasi, et ka süsteem saaks teada, et saadaval on uusi pakette. Kasuta käsku:

    apt-get update

Lõpuks tuleb paigaldada KDE baaskomponendid. Seda saab teha käsuga:

    apt-get install kdebase

Kui soovid paigaldada muid komponente, võid anda mõne järgmistest käskudest või ka need kõik:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get  install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

Kasulik võiks olla ka oma keele paketi paigaldamine.

    apt-get install
    kde-i18n-xx

kus xx vastab sinu keele koodile (eesti keele puhul et).

Mõne KDE rakenduse kontrollfailid paigaldatakse kataloogi `/etc/kde2`, käivitusfailid kataloogi `/usr/bin` ning enamik lisafaile erinevatesse alamkataloogidesse kataloogis `/usr/share`.

Kui uuendad varasemat KDE versiooni, peaksid ette võtma järgmised sammud. Esmalt uuenda faili `/etc/apt/sources.list`, asendades KDE pakettide asukoha rea reaga: `http://kde.tdyc.com/ stable kde2`. Teiseks uuenda pakettide andmebaasi:

    apt-get update

Ja lõpuks paigalda KDE baassüstem:

    apt-get install-kdebase
    apt-get dist-upgrade

Kui soovid paigaldada rohkem KDE komponente, kasuta mõnda või kõiki järgmistest käskudest.

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get  install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

## Lähteteksti kompileerimine muude süsteemide puhul

Kui sinu Linuxi distributsioon ei kasuta RPM- või DEB-arhiivi vormingut või kui sa ei kasuta üldse Linuxit, tuleb sul KDE ise kompileerida. Tulevikus on meil kavas pakkuda ka binaardistributsiooni, millega oleks kaasas oma paigaldusrakendus.

KDE korrektseks kompileerimiseks ja paigaldamiseks peavad kõvakettale olema paigaldatud järgmised elemendid:

- ANSI-C kompilaator, nt GNU C kompilaator.

- ANSI-C++ kompilaator, nt GNU C++.

- Utiliit make.

- Qt arendusversioon 2.2 või uuem.

- X11 arendusversioon (sageli puuduvad include-failid)

Kui sul on olemas kõik eelnevalt vajalikud elemendid, suundu meelepärasele KDE peegelsaidile ja tõmba sealt kataloogist `/pub/kde/stable/uusim versioon` järgmised failid:

- `kdesupport-versioon.tar.gz`

- `kdelibs-versioon.tar.gz`

- `kdebase-versioon.tar.gz`

- kõik muud paketid, mida soovid paigaldada. Meie soovitus oleks võtta vähemalt kdeutils.

Kõigil mainitud juhtudel tähendab versioon praeguse väljalaske versiooni numbrit. Kui oled kõik vajaliku alla laadinud, paki falid lahti kataloogi `/usr/src`. See peaks tekitama järgmise kataloogistruktuuri:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (kõik muud paketid)

Kontrolli, et sul on kirjutamisõigus kataloogis `/opt/kde`.

Nüüd tuleb paketid kompileerida ja paigaldada käskudega:

1. `cd` selle paketi kataloogi, mida soovid paigaldada (vt ülal)

2. `./configure` (koos võtmetega, mida soovid rakendada)

3. `make`

4. `make install`

Kasuta toodud samme iga paketi puhul, mida soovid paigaldada.

Neid juhiseid võib kasutada peaaegu iga lähtetekstipaketi paigaldamisel, mitte ainult KDE puhul.

Igal konfigureerimisskriptil võib olla mitmeid võtmeid. Mõned on kõigi pakettide puhul ühised, mõned omased ainult konkreetsele paketile. Siintoodu kajastab osaliselt seda, mida võib näha käsuga `configure `--help`` paketi kdelibs korral:

      --disable-fast-perl     keelab kiire Makefile genereerimise (vajab perli)
      --enable-debug          tekitab veateatekoodi [vaikimisi=ei]
      --enable-strict         kompileerib kompilaatori rangete võtmetega (ei pruugi töötada!)
      --enableprofile        tekitab profiiliinfo [vaikimisi=ei]
      --enable-final          loob optimeeritud suurusega rakendused (eksperimentaalne - vajab palju mälu)
      --disable-closure       ei viivita mallide isendiloomega
      --enable-shared[=PKGS]  loob jagatud teegid [vaikimisi=jah]
      --enable-static[=PKGS]  loob staatilised teegid [vaikimisi=ei]
      --enable-fast-install[=PKGS]  optimeerib kiireks paigalduseks [vaikimisi=jah]
      --with-gnu-ld           eeldab, et C-kompilaator kasutab GNU ld-d [vaikimisi=ei]
      -disable-libtool-lock  väldib lukustumist (võib rikkuda paralleelse loome)
      --with-pic              püüab kasutada ainult PIC/mitte-PIC objekte [vaikimisi=kasuta mõlemaid]
      --with-extra-includes=DIR
                              lisab mittestandardsed include asukohad
      --with-extra-libs=DIR  lisab mittestandardsed teekide asukohad
      --with-qt-dir=DIR       kuhu on paigaldatud Qt juur.
      --with-qt-includes=DIR  kus asuvad Qt include-failid.
      --with-qt-libraries=DIR kuhu on paigaldatud Qt teek.
      --disable-rpath         mitte kasutada ld võimalust rpath
      --disable-path-check    ei püüa leida, kuhu paigaldada
      --with-xdmdir           kui xdm seadistustekataloogi ei leita automaatselt
      --with-pam[=ARG]        lubab PAM toetust: ARG=[jah|ei|teenuse nimi]
      --with-shadow          kui soovid variparoolide toetust
      --with-krb4[=PATH]      kompileerib Kerberis v4 toega.
      --with-afs              kompileerib AFS toega (vajab KTH krb4).
      --with-ldap[=PATH]      kompileerib LDAP toega
      --with-samba-libs=path  kasutab Samba-tng teeke asukohas                [search]
      --without-gl            keelab 3D GL režiimid
      --without-xpm           keelab värvi pikselrastrite XPM testid
      --without-dpms          keelab DPMS energiasäästu
      --with-x                kasutada X Window Systemi
      --with-motif-includes=DIR    Motifi include-failid asuvad DIR-is
      --with-motif-libraries=DIR   Motifi teegid asuvad DIR-is

Mõned võtmed pole nõutavad ning on kasulikud ainult juhul, kui esineb kindlaid probleeme (nt `--disable-FEATURE`). Et mõned võtmed on siiski olulised, nt --with-shadow, tasub iga kord kontrollida, milliseid võtmeid antud paketi puhul kasutada saab.

Oluline võti on `--prefix`. See määrab asukoha, kuhu konfigureerimine peaks paigaldama (kdesupporti ja kdelibsi korral) või kus tuleks otsida teeke (ülejäänud pakettide puhul). Vaikimisi on selleks asukohaks `/opt/kde`. Kui soovid aga näiteks paigaldada KDE kataloogi `/usr/local/kde`, tuleb kasutada võtit `configure `--prefix /usr/local/kde``.

Kui oled paigaldanud Qt teegid mõnda ebatavalisse kohta, näiteks `$HOME/src/qt`, tuleb kasutada võtit `configure `--with-qt-dir=$HOME/src/qt``. Vaikimisi otsib konfigureerimisskript Qt-d tavapärastest kohtadest, enne kui loobub.

Kui sul esineb probleeme, mida sa ei suuda lahendada, saada koopia failist `.config.log` aadressile, mis on kirja pandud vastava paketi failis `README`.

KDE tuleb paigaldada järgmises järjekorras: kdesupport, kdelibs, seejärel rakenduste paketid (näiteks kdebase). Kõik rakendustepaketid peaksid sõltuma ainult paketist kdelibs, nii et neid võib kompileerida kasvõi ühel ja samal ajal (kui ainult sinu masin seda vastu peab).

Kui soovid kasutada eeliseid, mida pakuvad mitme protsessoriga süsteemid, siis võib tavalise käsu `make` asemel kasutada käsku `make `-j protsessorite arv``.

### Märkus platvormide spetsiifika kohta

#### Linux

Linuxi puhul leiab enaminu utiliite, mida läheb vaja KDE paigaldamiseks, aadressidelt ftp://sunsite.unc.edu/pub/Linux/GCC või ftp://sunsite.unc.edu/pub/GNU. Qt teegid leiab lähtetekstina aadressilt ftp://ftp.troll.no/pub/qt/source. Sellega käivad kaasas ka põhjalikud paigaldusjuhised. X22 rakenduste include-failid on saadaval aadressil ftp://ftp.xfree86.org sektsioonis xdevel.

## Nõutavad muudatused seadistustefailides

Kui oled seadnud KDE binaarfailid sihtkataloogidesse, tuleb käivitusskriptides teha mõningaid muudatusi.

Järgnevat protseduuri on testitud SuSE Linux 5.0 peal ning see peaks sobima kõigile levinud UNIXitele. Tee alati seadistustefailidest varukoopia, enne kui hakkad neid muutma!. Lisa järgmised read /etc/profile lõppu:

    export PATH=$PATH:/opt/kde/bin
    export KDEDIR=/opt/kde

Järgmisena redigeeri oma kodukataloogi faili -xinitrc. Otsi üles rida, mis kutsub välja aknahalduri ja kirjuta selle asemele `startkde`.

Nüüd, kui kõik KDE käivitamiseks vajalik on paigaldatud, võid suunduda IV peatüki kallale, kus saad teada, mis ja kuidas juhtub KDE esimesel käivitamisel. Kui miski on valesti läinud, tuleb sul KDE omal käel kompileerida. Selle kohta loe lähemalt lõiku Lähteteksti kompileerimine muude süsteemide puhul.

Me oleme püüdnud muuta paigaldamise nii lollikindlaks, kui vähegi võimalik, ja sul ei tohiks esineda mingeid tõsisemaid probleeme, kui su seadistus ei ole just väga eksootiline. Kui koged siiski raskusi, kasuta julgelt KDE meililiste.